Issue 124970

Summary: Left-mouse-down above text edit area crashes, "Index out of bounds"
Product: Writer Reporter: Richard Saffran <RichardSaffran>
Component: editingAssignee: hdu <hdu>
Status: CLOSED FIXED QA Contact: steve_yin <ybing>
Severity: Critical    
Priority: P3 CC: darrenblittlejohn, davidb, fanyuzhen, hdu, jsc, liushenf, p.jungwirt, russiait, simontheis, srweigert, steve.yin.aoo
Version: 4.1.0Keywords: crash, needmoreinfo, regression
Target Milestone: 4.1.1Flags: jsc: 4.1.1_release_blocker+
Hardware: Mac   
OS: Mac OS X 10.7   
Issue Type: DEFECT Latest Confirmation in: 4.2.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
Crash report from OO Write 4.1.0
none
Document edited with Writer 4.1, .doc format
none
Mac OSX system configuration report (zipped)
none
dynamic library containing the fix above
none
OSX Crash report
none
Error dialog box "Index out of bounds"
none
OSX consol log screen shot
none
console log
none
Error Log for clicking multiple times on grey background none

Description Richard Saffran 2014-05-24 01:03:46 UTC
When editing a document in page layout view, left-mouse-down above the text area (in the area where a header would be placed, though there may not be a header) crashes Writer every time. Error dialog says "Index out of bounds."
Comment 1 Ariel Constenla-Haile 2014-05-24 01:21:42 UTC
(In reply to Richard Saffran from comment #0)
> When editing a document 

Does the crash happen with any document, or a particular one? If the last one, please attach it here.

> in page layout view,

What is "page layout view"?
I see only three options:
- File - Page Preview
- View - Print Layout
- View - Web Layout

Please specify the steps you follow to produce the crash.

> left-mouse-down above the text
> area (in the area where a header would be placed, though there may not be a
> header) crashes Writer every time. Error dialog says "Index out of bounds."

Usually Apple shows a dialog after a crash, asking if you want to report it to Apple; if you select to view the details of the report, it will display very useful information; if you get the Apple report dialog, please copy that crash report detail in a text file, and attach it here (but don't send the report to Apple).
Comment 2 Richard Saffran 2014-05-24 02:40:20 UTC
Created attachment 83459 [details]
Crash report from OO Write 4.1.0
Comment 3 Richard Saffran 2014-05-24 02:41:10 UTC
Print layout view, not page layout.
Comment 4 Richard Saffran 2014-05-24 13:56:48 UTC
Created attachment 83461 [details]
Document edited with Writer 4.1, .doc format

This is the file I was editing. Mouse-down (actually trackpad-down) above the delimited text area crashes with Writer 4.1, no problem with 4.0.1 or previous.
Comment 5 Ariel Constenla-Haile 2014-05-25 04:33:13 UTC
I cannot reproduce it.
Do you have any assistive technology enabled?

The backtrace on the crash report shows that scrolling triggers an accessibility notification, and the crash happens on 
DocumentFocusListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject const&)
vcl/aqua/source/a11y/documentfocuslistener.cxx

So it might be introduced by changes for IA2, and not the switch to MacOSX 64 bit.
Let's see if hdu can reproduce it.
Comment 6 Richard Saffran 2014-05-25 11:48:25 UTC
(In reply to Ariel Constenla-Haile from comment #5)
> I cannot reproduce it.
> Do you have any assistive technology enabled?

Not that I am aware. The hardware is a Macbook Air 11" with a standard configuration. The only change that appears to be consistently linked with the crash was moving from OO 4.0.1 to 4.1.0. Reverting that change restores stability.

> 
> The backtrace on the crash report shows that scrolling triggers an
> accessibility notification, and the crash happens on 
> DocumentFocusListener::notifyEvent(com::sun::star::accessibility::
> AccessibleEventObject const&)
> vcl/aqua/source/a11y/documentfocuslistener.cxx
> 
> So it might be introduced by changes for IA2, and not the switch to MacOSX
> 64 bit.
> Let's see if hdu can reproduce it.
Comment 7 hdu@apache.org 2014-05-26 07:05:06 UTC
(In reply to Ariel Constenla-Haile from comment #5)
> I cannot reproduce it.

Unfortunately it's the same here.

> Do you have any assistive technology enabled?

@Richard: Please check the SystemMenu->SystemPreferences->Accessibility page and remember if anything has been changed there from its default.

> The backtrace on the crash report shows that scrolling triggers an
> accessibility notification, and the crash happens on 
> DocumentFocusListener::notifyEvent(com::sun::star::accessibility::
> AccessibleEventObject const&)
> vcl/aqua/source/a11y/documentfocuslistener.cxx

DocumentFocusListener::notifyEvent() has one of this do-no-good explicit throw-lists, which in this case only allow a RuntimeException. Since unexpected() is invoked in this method it means that one of its callees must have thrown something different. It would be important to know where and what exception is being thrown, but I'm afraid that is only possible if a developer can reproduce it.

I wonder if this has to do with some Coverity bugs where several problems were reported in the A11Y code with exceptions being thrown not matching their throw-lists.
Comment 8 hdu@apache.org 2014-05-26 09:10:56 UTC
I guess its an IndexOutOfBoundsException that is causing the trouble. The Coverity reports with ids 1191864 to 1191871 are all about such "Uncaught exception (UNCAUGHT_EXCEPT) exn_spec_violation: An exception of type "com::sun::star::lang::IndexOutOfBoundsException *" is thrown but the throw list [...] doesn't allow it to be thrown. This will cause a call to unexpected() which usually calls terminate()."

As com::sun::star::lang::IndexOutOfBoundsException is derived from ::com::sun::star::uno::Exception but NOT from ::com::sun::star::uno:: RuntimeException a throw-list allowing only a RuntimeException would exactly result in the unexpected() terminate() problem Coverity already pointed out.
Comment 9 jsc 2014-05-26 09:56:21 UTC
I have tired it as well and was not able to reproduce on my MacBook (10.9.3) with AOO 4.1
Comment 10 mroe 2014-05-26 11:12:03 UTC
I also cannot reproduce this issue on Mac Mini with MacOS 10.8.2.

But as stated in comment 4. "Mouse-down (actually trackpad-down)"

maybe there is a hardware related issue like issue 124803?
Comment 11 Richard Saffran 2014-05-26 13:04:28 UTC
Created attachment 83465 [details]
Mac OSX system configuration report (zipped)
Comment 12 hdu@apache.org 2014-05-27 11:31:26 UTC
The accessibility settings in the system configuration provided above by Richard are at their default values:

Universal Access Information:
  Cursor Magnification:	Off
  Display:	Black on White
  Flash Screen:	Off
  Mouse Keys:	Off
  Slow Keys:	Off
  Sticky Keys:	Off
  VoiceOver:	Off
  Zoom:	Off
  Zoom Mode:	Full Screen

I tried several more things but I still can't reproduce it. Even if the concrete problem cannot be reproduced by a developer the exception mismatches of RuntimeException-only throw-lists and IndexOutOfBoundsException thrown should be solved. More details are available in comment 8.
Comment 13 Darren Littlejohn 2014-06-02 04:05:55 UTC
I have the same problem on my 11" air. I don't have any assistive options turned on.
Comment 14 Richard Saffran 2014-06-02 10:50:46 UTC
The "zoom" setting reminds me I have a "zoom" modification installed, could it interact?

http://www.blazingtools.com/right_zoom_mac.html

(In reply to hdu@apache.org from comment #12)
> The accessibility settings in the system configuration provided above by
> Richard are at their default values:
> 
> Universal Access Information:
>   Cursor Magnification:	Off
>   Display:	Black on White
>   Flash Screen:	Off
>   Mouse Keys:	Off
>   Slow Keys:	Off
>   Sticky Keys:	Off
>   VoiceOver:	Off
>   Zoom:	Off
>   Zoom Mode:	Full Screen
> 
> I tried several more things but I still can't reproduce it. Even if the
> concrete problem cannot be reproduced by a developer the exception
> mismatches of RuntimeException-only throw-lists and
> IndexOutOfBoundsException thrown should be solved. More details are
> available in comment 8.
Comment 15 hdu@apache.org 2014-06-02 12:22:01 UTC
(In reply to Richard Saffran from comment #14)
> The "zoom" setting reminds me I have a "zoom" modification installed, could
> it interact?
> 
> http://www.blazingtools.com/right_zoom_mac.html

Oh, that might have to do with it! Does it still crash when you deactivate right-zoom and then restart AOO?
Comment 16 p.jungwirt 2014-06-08 17:24:21 UTC
Hi, 


I used OpenOffice 4.1 on my iMac with OS X Mavericks.

When writing a / in a document OpenOffice 4.1 crashed again and again when I moved with my IntelliMouse to a new line or anywhere else. 
And then it read: "Fatal error. index out of bounds."

The crash reports should have been sent to ApacheFoundation / OpenOffice.

Even deinstalling and installing OO 4.1 again and again did not help. Then I went back to OO 4.01 - and everything is fine.
Comment 17 Ariel Constenla-Haile 2014-06-13 16:54:27 UTC
(In reply to p.jungwirt from comment #16)
> The crash reports should have been sent to ApacheFoundation / OpenOffice.

Those reports from Apple are never sent to this project; see comment 1, you need to copy that crash report detail in a text file, and attach it to the bug report.
Comment 18 hdu@apache.org 2014-06-16 13:16:17 UTC
In comment 8 a root cause of the problem has been identified as an exception hierarchy mismatch. There might be a related root cause (an exception type mismatch) though: The code base has a couple of "throw new IndexOutOfBounds" lines but there is no throw list that specifies a IndexOutOfBounds pointer! The throw lists mention the exception by value though, which means, that the exception was intended to be thrown by value.

There are many other related exception problems in the code base and there seems to be much confusion, so I'd like to point to the best practices on this topic which are outlined in issue 122768 (catch by const reference) and issue 125105 (throw by value, NOT by pointer).
Comment 19 hdu@apache.org 2014-06-17 11:05:41 UTC
It would be good to have a screenshot of the "Fatal error. index out of bounds." message, because there might be yet another root cause that was too obvious to be mentioned so far: maybe an exception was thrown that wasn't handled until finally one of the last-level catch clauses in Desktop::Main() method got it and extracted the sparse error details available. In that case the dialog window would mention the problem in the form "xxx - Fatal Error".
Comment 20 Steve Yin 2014-06-19 07:49:31 UTC
Could you provide some details about the JRE version of your machines? It may be helpful.
Comment 21 Richard Saffran 2014-06-20 11:39:38 UTC
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)
Comment 22 Ariel Constenla-Haile 2014-06-20 17:21:30 UTC
*** Issue 125125 has been marked as a duplicate of this issue. ***
Comment 23 Ariel Constenla-Haile 2014-06-20 17:22:48 UTC
(In reply to Ariel Constenla-Haile from comment #22)
> *** Issue 125125 has been marked as a duplicate of this issue. ***

Crash report available on Bug 125125 comment 2
Comment 24 hdu@apache.org 2014-06-23 07:19:48 UTC
> Crash report available on Bug 125125 comment 2

Thanks! The DocumentFocusListener::notifyEvent( const AccessibleEventObject& ) method causing an unexpected() is probably caused when a "CHILD" event is being notified. The methods attachRecursive() and detachRecursive() used in that case allow an IndexOutOfBounds exception. to be thrown, which aren't handled in the notifyEvent() method for CHILD events. NotifyEvent() neither handles them nor allows them in its throw-list so the unexpected() abort is ... expected.

We should most get rid of the throw-lists, except when they are empty signifying a method's promises not to throw anything. Fortunately the throw lists are not part of the methods symbol signature, so changing them thus should be possible without breaking the binary compatibility.

Changing status to CONFIRMED after so many duplicate reports and a now a crash stack.
Comment 25 SVN Robot 2014-06-23 07:55:45 UTC
"hdu" committed SVN revision 1604709 into trunk:
#i124970# fix DocumentFocusListener::notifyEvent's handling of IndexOutOfBoun...
Comment 26 hdu@apache.org 2014-06-23 08:15:18 UTC
Created attachment 83590 [details]
dynamic library containing the fix above

The attached library contains the change that should reliably fix the problem of the related bug 123308. There is a reasonable chance that all reported incidents of this kind could be solved with it. To test it please replace the file libvcl.dylib of the OpenOffice installation with the provided replacement.

It would be very interesting to know whether the problem vanishes. If it still can be reproduced then a crash report (such as in Bug 125125 comment 2) would be a very important information.
Comment 27 David Bosschaert 2014-06-23 09:20:08 UTC
When I replace my libvcl.dylib with the attachment, OO crashes immediately on startup. Maybe its not compiled for my platform (Mac OSX 10.9.3 / 64bit)
Comment 28 hdu@apache.org 2014-06-23 11:04:11 UTC
Comment on attachment 83590 [details]
dynamic library containing the fix above

Thanks for checking and sorry for the target mismatch. Please try http://people.apache.org/~hdu/i124970/libvcl.dylib instead.
Comment 29 David Bosschaert 2014-06-23 11:59:39 UTC
Created attachment 83591 [details]
OSX Crash report

Thanks, hdu, I have tried your binary as mentioned in Comment 28. OpenOffice does start up, but when I simply scroll through this document: https://github.com/osgi/design/blob/2641c9a23d537f34390fdf3797296e8a664da773/rfcs/rfc0189/rfc-0189-Http_Service_Updates.odt?raw=true

from top to bottom (or anywhere really) it still crashes as reported in bug 125125. I have attached a new crash report that has the details.
Comment 30 hdu@apache.org 2014-06-23 12:17:58 UTC
(In reply to David Bosschaert from comment #29)
> Created attachment 83591 [details]
> OSX Crash report

Thanks for the crash stack! The patch got merged out when I did a clean rebuild... a new version of the problematic library (with the suggested change) is available at the same location again: http://people.apache.org/~hdu/i124970/libvcl.dylib
Comment 31 David Bosschaert 2014-06-23 14:01:08 UTC
Hi hdu,

I have tested the library that you referenced in comment 30 and it seems to fix the issue! Writer doesn't crash by scrolling through the doc! 

Many thanks!

David
Comment 32 hdu@apache.org 2014-06-23 14:39:11 UTC
@David: Thanks for testing the fix!

The change should be safe enough for a AOO411. There are still plenty of other IndexOutOfBounds vs RuntimeException problems remaining though, so I wonder whether all the reported incidents are already solved by this one change. If yes, then I'd suggest this one for AOO411 and split the general A11Y exception mismatch issue off for AOO420.

@all reporters: please test with the mentioned library and try to reproduce the original issue if possible.
Comment 33 hdu@apache.org 2014-06-30 11:12:40 UTC
The fix above is safe and solves the crash that contained the stack details. Whether it solves all other reported crashes of this kind is not yet clear until the provided library is tested by all reporter. There is a good chance that the fix suffices though, so I suggest it as a AOO411 candidate.
Comment 34 jsc 2014-06-30 12:14:15 UTC
grant showstopper flag
Comment 35 SVN Robot 2014-06-30 12:19:13 UTC
"hdu" committed SVN revision 1606707 into branches/AOO410:
#i124970# fix DocumentFocusListener::notifyEvent's handling of IndexOutOfBoun...
Comment 36 hdu@apache.org 2014-06-30 12:22:31 UTC
The fix has been merged for AOO411.

I suggest to handle the other IndexOutOfBounds vs RuntimeException problems in a split-off issue unless such fixes become available in time for AOO411.
Comment 37 David Bosschaert 2014-08-01 15:38:54 UTC
Just tested 4.1.1 RC 1 and I can confirm that at least the issue I was having is resolved.
Comment 38 fanyuzhen 2014-08-04 05:24:31 UTC
Marking it as fixed based on David's(Thanks!) verification in comment 37.

@Richard Saffran, please reopen it if the issue you had still exists, thanks.
Comment 39 Richard Saffran 2014-08-17 15:28:16 UTC
Created attachment 83843 [details]
Error dialog box "Index out of bounds"
Comment 40 Richard Saffran 2014-08-17 15:28:48 UTC
Created attachment 83844 [details]
OSX consol log screen shot
Comment 41 Richard Saffran 2014-08-17 15:31:25 UTC
Same error. "Index out of bounds."

OpenOffice 4.1.1 AO411m6(Build:9775) 


To get the error, I opened the document [attachment "Document edited with Write 4.1"] and left-mouse-down in the "header" area

See attachments "Error dialog box" and "OSX console log".
Comment 42 p.jungwirt 2014-08-24 09:39:51 UTC
Auf das überarbeitete OO 4.1.1 habe ich gehofft und gewartet, da OO 4.1 mit einer gemeldeten "Index out of bounds"- Fehlermitteilung ständig abstürzte, ein Fehler, der in LibreOffice, das ich notgedrungen seit Kurzem benutze, nicht vorkommt.

Leider tritt der Fehler in OO 4.1.1 weiter auf.

1. Ich installiere OO 4.1.1. auf meinem iMac mit Mavericks 10.9.4 und benutze eine Apple-IntelliMouse.

2 . Ich starte/öffne das Programm, gehe zu "Textdokument", öffne eine gespeicherte Datei x im -odt-Format und noch während ich meine IntelliMouse über das geöffnete Dokument an eine x-beliebige Stelle bewege, kommt die Fehlermeldung: OpenOffice 4.1.1 - Fatal Error - index out of bounds.

3. Danach kommt die Anzeige zur Wiederherstellung des Dokumentes - und alles beginnt von vorne.

So ist OO 4.1.1. leider auch nicht zu benutzen und ich werde notgedrungen bei LibreOffice bleiben.

Mit freundlichen Grüßen
Peter Jungwirt

My English ist not good, but I try:

I use an iMac with Mavericks 10.9.4 and an Apple IntelliMouse.

I have waited for OO 4.1.1 as OO 4.1 always crashed showing an "index out of bounds" error dialog box. Because of this I had to change to LibreOffice where everything is OK.

Now:

I installed OO 4.1.1 a few das ago and tried to work with it. No use! 

When I open a document in .odt-form and move the Mouse to any place on the document, OO4.1.1 crashes showing the error dialog box "index out of bounds".

When you try to open the document again you are asked to repair it. That's fine, but when the document ist opened again and you want to work on it OO 4.1.1 crashes again etc etc.

It's a pity, but I can't work with OpenOffice any longer.

Regards,
Peter Jungwirt
Comment 43 Ariel Constenla-Haile 2014-08-28 19:49:03 UTC
(In reply to Richard Saffran from comment #41)
> Same error. "Index out of bounds."
> 
> OpenOffice 4.1.1 AO411m6(Build:9775) 
> 
> 
> To get the error, I opened the document [attachment "Document edited with
> Write 4.1"] and left-mouse-down in the "header" area
> 
> See attachments "Error dialog box" and "OSX console log".

The screenshot does not help much. If possible, please attach the Apple crash report, see Bug 124970 comment 1 (quoting: "Usually Apple shows a dialog after a crash, asking if you want to report it to Apple; if you select to view the details of the report, it will display very useful information; if you get the Apple report dialog, please copy that crash report detail in a text file, and attach it here (but don't send the report to Apple).")
Comment 44 Ariel Constenla-Haile 2014-08-28 22:00:00 UTC
@Richard: you can find the crash reports using the Console.app
http://en.wikipedia.org/wiki/Console_(OS_X)
Search the log in the Log List at the left.
I find one under "DIAGNOSTIC AND USAGE INFORMATION" - "System Diagnostic Reports" (also listes under "FILES" - "/Library/Logs" - "DiagnostcReports")
The crash report starts with soffice_

In theory, when OpenOffice crashes, the Crash Report dialog should appear.
Comment 45 Sebastian Weigert 2014-09-24 08:15:51 UTC
Hi,
My OO Writer generates the same Error dialog. (Index out of bounds)
But I could not find any dependence on using the mouse or the touchpad.
Have a look at the console log I added.
Thx
Comment 46 Sebastian Weigert 2014-09-24 08:18:14 UTC
Created attachment 83981 [details]
console log

view comment 45
Comment 47 Simon Theis 2014-11-04 20:19:25 UTC
I use OO 4.1.1 on mac mini (mid-2011) with OS X Yosemite - and can reproduce the error by clicking multiple times in the white space outside of the border in the document (the mentioned header space)

Version of OpenOffice
OO411m6(Build:9775)  -  Rev. 1617669
2014-08-13 09:05:42 (Wed, 13 Aug 2014)

This is apple's error log:

Process:               soffice [953]
Path:                  /Applications/OpenOffice.app/Contents/MacOS/soffice
Identifier:            org.openoffice.script
Version:               4.1.1 (???)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [953]
User ID:               501

Date/Time:             2014-11-04 21:06:44.393 +0100
OS Version:            Mac OS X 10.10 (14A389)
Report Version:        11
Anonymous UUID:        47DBD228-5B18-1635-5DE0-A33BB0A7877E

Sleep/Wake UUID:       88DA67DD-BCFD-4306-960B-7123F90BD22D

Time Awake Since Boot: 44000 seconds
Time Since Wake:       10000 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000

Application Specific Information:
terminating with uncaught exception of type com::sun::star::lang::IndexOutOfBoundsException
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8e399282 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff8e997b73 abort + 129
2   libc++abi.dylib               	0x00007fff99e30a21 abort_message + 257
3   libc++abi.dylib               	0x00007fff99e589d1 default_terminate_handler() + 267
4   libobjc.A.dylib               	0x00007fff8f60d6db _objc_terminate() + 124
5   libc++abi.dylib               	0x00007fff99e560a1 std::__terminate(void (*)()) + 8
6   libc++abi.dylib               	0x00007fff99e55d48 __cxa_rethrow + 99
7   libobjc.A.dylib               	0x00007fff8f60d4e4 objc_exception_rethrow + 40
8   com.apple.CoreFoundation      	0x00007fff8fd508cb CFRunLoopRunSpecific + 443
9   com.apple.HIToolbox           	0x00007fff9aec243f RunCurrentEventLoopInMode + 235
10  com.apple.HIToolbox           	0x00007fff9aec21ba ReceiveNextEventCommon + 431
11  com.apple.HIToolbox           	0x00007fff9aec1ffb _BlockUntilNextEventMatchingListInModeWithFilter + 71
12  com.apple.AppKit              	0x00007fff90d08821 _DPSNextEvent + 964
13  com.apple.AppKit              	0x00007fff90d07fd0 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 194
14  com.apple.AppKit              	0x00007fff9100cd27 -[NSApplication _realDoModalLoop:peek:] + 666
15  com.apple.AppKit              	0x00007fff9100b2d6 -[NSApplication runModalForWindow:] + 119
16  com.apple.AppKit              	0x00007fff9103dc53 _NXDoLocalRunAlertPanel + 425
17  com.apple.AppKit              	0x00007fff9103da90 NSRunAlertPanel + 159
18  libvcl.dylib                  	0x000000010904ea08 AquaSalSystem::ShowNativeMessageBox(String const&, String const&, int, int) + 248
19  libsofficeapp.dylib           	0x00000001076963fa desktop::FatalError(rtl::OUString const&, unsigned char) + 378
20  libsofficeapp.dylib           	0x00000001076a276c desktop::Desktop::Main() + 16124
21  libvcl.dylib                  	0x000000010908c5b9 ImplSVMain() + 73
22  libvcl.dylib                  	0x000000010904c304 AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 84
23  libvcl.dylib                  	0x0000000109327f37 -[VCL_NSApplication sendEvent:] + 471
24  com.apple.AppKit              	0x00007fff90cfbfe8 -[NSApplication run] + 711
25  com.apple.AppKit              	0x00007fff90ce7424 NSApplicationMain + 1832
26  libvcl.dylib                  	0x000000010904af87 ImplSVMainHook(unsigned char*) + 183
27  libvcl.dylib                  	0x000000010908d1c1 SVMain() + 17
28  libsofficeapp.dylib           	0x00000001076c81b8 soffice_main + 136
29  org.openoffice.script         	0x00000001074a9eb0 main + 16
30  org.openoffice.script         	0x00000001074a9e94 start + 52

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff8e399132 __psynch_cvwait + 10
1   libuno_sal.dylib.3            	0x00000001074dc702 0x1074ac000 + 198402
2   libsystem_pthread.dylib       	0x00007fff99cb72fc _pthread_body + 131
3   libsystem_pthread.dylib       	0x00007fff99cb7279 _pthread_start + 176
4   libsystem_pthread.dylib       	0x00007fff99cb54b1 thread_start + 13

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8e39a22e kevent64 + 10
1   libdispatch.dylib             	0x00007fff8e8aba6a _dispatch_mgr_thread + 52

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff8e399946 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff99cb54a1 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff8e399946 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff99cb54a1 start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff8e399946 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff99cb54a1 start_wqthread + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff8e399946 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff99cb54a1 start_wqthread + 13

Thread 7:
0   libsystem_kernel.dylib        	0x00007fff8e39452e mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8e39369f mach_msg + 55
2   com.apple.CoreFoundation      	0x00007fff8fd51b14 __CFRunLoopServiceMachPort + 212
3   com.apple.CoreFoundation      	0x00007fff8fd50fdb __CFRunLoopRun + 1371
4   com.apple.CoreFoundation      	0x00007fff8fd50838 CFRunLoopRunSpecific + 296
5   com.apple.AppKit              	0x00007fff90e6b8f7 _NSEventThread + 137
6   libsystem_pthread.dylib       	0x00007fff99cb72fc _pthread_body + 131
7   libsystem_pthread.dylib       	0x00007fff99cb7279 _pthread_start + 176
8   libsystem_pthread.dylib       	0x00007fff99cb54b1 thread_start + 13

Thread 8:
0   libsystem_kernel.dylib        	0x00007fff8e398776 __accept + 10
1   libvos3s5abi.dylib            	0x00000001095e2d04 vos::OPipe::accept(vos::OStreamPipe&) + 36
2   libsofficeapp.dylib           	0x00000001076c673b desktop::OfficeIPCThread::run() + 4811
3   libvos3s5abi.dylib            	0x00000001095de53f vos::threadWorkerFunction_impl(void*) + 15
4   libuno_sal.dylib.3            	0x00000001074b2dd5 0x1074ac000 + 28117
5   libsystem_pthread.dylib       	0x00007fff99cb72fc _pthread_body + 131
6   libsystem_pthread.dylib       	0x00007fff99cb7279 _pthread_start + 176
7   libsystem_pthread.dylib       	0x00007fff99cb54b1 thread_start + 13

Thread 9:
0   libsystem_kernel.dylib        	0x00007fff8e399132 __psynch_cvwait + 10
1   libuno_sal.dylib.3            	0x00000001074af412 osl_waitCondition + 162
2   updchk.uno.dylib              	0x00000001192d4f19 0x1192c9000 + 48921
3   libsofficeapp.dylib           	0x00000001076e00bf threadFunc + 15
4   libuno_sal.dylib.3            	0x00000001074b2dd5 0x1074ac000 + 28117
5   libsystem_pthread.dylib       	0x00007fff99cb72fc _pthread_body + 131
6   libsystem_pthread.dylib       	0x00007fff99cb7279 _pthread_start + 176
7   libsystem_pthread.dylib       	0x00007fff99cb54b1 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x00007fff58754e28  rdx: 0x0000000000000000
  rdi: 0x000000000000130f  rsi: 0x0000000000000006  rbp: 0x00007fff58754e50  rsp: 0x00007fff58754e28
   r8: 0x0000000000000000   r9: 0x00007fff8e9c1d90  r10: 0x0000000008000000  r11: 0x0000000000000206
  r12: 0x00007fff58754fb0  r13: 0x0000000000000001  r14: 0x00007fff7dda8300  r15: 0x00007fff58754e90
  rip: 0x00007fff8e399282  rfl: 0x0000000000000206  cr2: 0x00007fff7c5ccfd8
  
Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x1074a9000 -        0x1074a9ff7 +org.openoffice.script (4.1.1 - ???) <AEC23813-161C-31A0-A85E-B2A62242E97C> /Applications/OpenOffice.app/Contents/MacOS/soffice
       0x1074ac000 -        0x10764ffff +libuno_sal.dylib.3 (0) <785680DF-F263-3ED9-A3F3-044ECE3BEB09> /Applications/OpenOffice.app/Contents/MacOS/libuno_sal.dylib.3
       0x107694000 -        0x1076fcff7 +libsofficeapp.dylib (0) <A13B0441-349E-3BEF-B69C-487AE2437B32> /Applications/OpenOffice.app/Contents/MacOS/libsofficeapp.dylib
       0x10772a000 -        0x107833fff +libcomphelps5abi.dylib (0) <4372A251-45A2-332E-A5D7-8AA894152F44> /Applications/OpenOffice.app/Contents/MacOS/libcomphelps5abi.dylib
       0x107914000 -        0x1079e9ff7 +libuno_cppuhelpers5abi.dylib.3 (0) <9FB2B561-4B06-322E-B84A-150DCF331DC1> /Applications/OpenOffice.app/Contents/MacOS/libuno_cppuhelpers5abi.dylib.3
       0x107a42000 -        0x107a6dff7 +libuno_cppu.dylib.3 (0) <CA78F4AB-BB49-3946-A99B-25EE571A9ED3> /Applications/OpenOffice.app/Contents/MacOS/libuno_cppu.dylib.3
       0x107a7f000 -        0x107a9eff7 +libdeploymentmisc.dylib (0) <799F7B44-E9B7-31AB-A5D1-AF6C707C9DE5> /Applications/OpenOffice.app/Contents/MacOS/libdeploymentmisc.dylib
       0x107ab1000 -        0x107afcfff +libdeploymentgui.uno.dylib (0) <1388E2BA-1B45-3EF4-8909-DE4B97936A56> /Applications/OpenOffice.app/Contents/MacOS/libdeploymentgui.uno.dylib
       0x107b38000 -        0x107b3cff7 +libi18nisolang1s5abi.dylib (0) <76D66F49-09EF-3D6E-8A10-0527801B43D8> /Applications/OpenOffice.app/Contents/MacOS/libi18nisolang1s5abi.dylib
       0x107b43000 -        0x107ed7fff +libsfx.dylib (0) <7D1B4590-5915-34F8-BFAD-6289424207CF> /Applications/OpenOffice.app/Contents/MacOS/libsfx.dylib
       0x108108000 -        0x1081d7ff7 +libsvl.dylib (0) <E02026DB-DD60-36FA-B80C-8F068F552E62> /Applications/OpenOffice.app/Contents/MacOS/libsvl.dylib
       0x108252000 -        0x1085bffff +libsvt.dylib (0) <ED0E0A85-15FD-3D88-8BAC-F0081D529175> /Applications/OpenOffice.app/Contents/MacOS/libsvt.dylib
       0x1087ef000 -        0x108aaafff +libootk.dylib (0) <19AC0016-8872-300F-9467-CACB5EBBB0B8> /Applications/OpenOffice.app/Contents/MacOS/libootk.dylib
       0x108d59000 -        0x108d59ff5 +cl_kernels (???) <72EB5C0B-AF99-4D45-8185-DC441DB6F544> cl_kernels
       0x108d5d000 -        0x108df1fff +libtl.dylib (0) <CFDDA7A4-0AA3-3925-A43D-6C3CE356864D> /Applications/OpenOffice.app/Contents/MacOS/libtl.dylib
       0x108e29000 -        0x108e29fef +cl_kernels (???) <26C776FD-B0F5-4FCA-8D2B-63377C238757> cl_kernels
       0x108e2d000 -        0x108e81fff +libucbhelper4s5abi.dylib (0) <26160CB0-DD05-3AD6-A336-83D8BF544544> /Applications/OpenOffice.app/Contents/MacOS/libucbhelper4s5abi.dylib
       0x108ec1000 -        0x108fcefff +libutl.dylib (0) <5634D9CA-D254-3268-951D-DE7285AF1610> /Applications/OpenOffice.app/Contents/MacOS/libutl.dylib
       0x109045000 -        0x109426ff7 +libvcl.dylib (0) <44CC85F9-EC2B-3BEC-AAED-17941AE4CEB1> /Applications/OpenOffice.app/Contents/MacOS/libvcl.dylib
       0x1095d9000 -        0x1095ebfff +libvos3s5abi.dylib (0) <A65DB5F8-C63A-35D3-8919-40127D7A1BB1> /Applications/OpenOffice.app/Contents/MacOS/libvos3s5abi.dylib
       0x1095ff000 -        0x109600ff7 +libuno_salhelpers5abi.dylib.3 (0) <3F4594B0-85ED-3AD1-ABBB-C7A1FC81A2BC> /Applications/OpenOffice.app/Contents/MacOS/libuno_salhelpers5abi.dylib.3
       0x109609000 -        0x109693ff7 +libxcr.dylib (0) <5509E13D-A2E3-3455-A7B0-A03A97AB806A> /Applications/OpenOffice.app/Contents/MacOS/libxcr.dylib
       0x1096c5000 -        0x109757fff +libbasegfx.dylib (0) <9427FE85-D191-3974-AEFD-D1A1DFA280C8> /Applications/OpenOffice.app/Contents/MacOS/libbasegfx.dylib
       0x109786000 -        0x109a08fff +libsvx.dylib (0) <7E957A0F-B95F-356F-A0C8-B7D4D9D4D5C1> /Applications/OpenOffice.app/Contents/MacOS/libsvx.dylib
       0x109c25000 -        0x10a201fff +libsvxcore.dylib (0) <9C46BC6A-F1AE-3422-A797-4541B62C1ADB> /Applications/OpenOffice.app/Contents/MacOS/libsvxcore.dylib
       0x10a645000 -        0x10a68fff7 +libsot.dylib (0) <F54AA9C9-8952-3CA8-B09E-1146E182C88C> /Applications/OpenOffice.app/Contents/MacOS/libsot.dylib
       0x10a6bc000 -        0x10a7b8fff +libicuuc.dylib.40.1 (40.1) <AD4AB93C-B01D-3537-8FB0-A67FCDA03CC8> /Applications/OpenOffice.app/Contents/MacOS/libicuuc.dylib.40.1
       0x10a7f2000 -        0x10a81efff +libicule.dylib.40.1 (40.1) <2A0457C1-85EC-3D1E-9DB3-E13007DC5A6C> /Applications/OpenOffice.app/Contents/MacOS/libicule.dylib.40.1
       0x10a82a000 -        0x10a82cff7 +libi18npaper.dylib (0) <C620197D-0884-396C-AA23-4A8CD7F6EE87> /Applications/OpenOffice.app/Contents/MacOS/libi18npaper.dylib
       0x10a835000 -        0x10a841ff7 +libi18nutils5abi.dylib (0) <D89B4C21-9C5C-30B1-9B8B-D070F6CA0810> /Applications/OpenOffice.app/Contents/MacOS/libi18nutils5abi.dylib
       0x10a84a000 -        0x10a84dff7 +libjvmaccesss5abi.dylib.3 (0) <C964C53F-FCAC-358C-B98B-2BF616963B41> /Applications/OpenOffice.app/Contents/MacOS/libjvmaccesss5abi.dylib.3
       0x10a854000 -        0x10a85aff7 +libAppleRemote.dylib (0) <97793B47-1F8E-3D0F-B036-5CDB5EBC16BA> /Applications/OpenOffice.app/Contents/MacOS/libAppleRemote.dylib
       0x10a866000 -        0x10b5aafff +libicudata.dylib.40.1 (40.1) <011B5B58-6960-36E6-ACDD-05CFB6B77F50> /Applications/OpenOffice.app/Contents/MacOS/libicudata.dylib.40.1
       0x10b5b1000 -        0x10b5c8fff +libjvmfwk.dylib.3 (0) <AD229B8C-64DC-3967-A464-54DFC6A89EAC> /Applications/OpenOffice.app/Contents/MacOS/libjvmfwk.dylib.3
       0x10b5d9000 -        0x10b704ff7 +libsb.dylib (0) <FCE4A3E3-3E3C-364B-AEF9-E64DD87CE81B> /Applications/OpenOffice.app/Contents/MacOS/libsb.dylib
       0x10b7a4000 -        0x10b864fff +libdrawinglayer.dylib (0) <36488186-B414-35A6-A50F-8787348F2CF2> /Applications/OpenOffice.app/Contents/MacOS/libdrawinglayer.dylib
       0x10b8ee000 -        0x10ba6ffff +libediteng.dylib (0) <761A4932-6BBA-3DCE-ABE4-F824922F24F6> /Applications/OpenOffice.app/Contents/MacOS/libediteng.dylib
       0x10bb7d000 -        0x10bbf7ff7 +libfwe.dylib (0) <7A408134-4C04-380B-B281-949C429B1C3B> /Applications/OpenOffice.app/Contents/MacOS/libfwe.dylib
       0x10bc47000 -        0x10bed2fff +libfwk.dylib (0) <BA143FD1-21CA-3605-9F49-82E1B1B0F116> /Applications/OpenOffice.app/Contents/MacOS/libfwk.dylib
       0x10c05b000 -        0x10c3d5ff7 +libxo.dylib (0) <24BD2FB9-F758-391B-873B-65E42B916E86> /Applications/OpenOffice.app/Contents/MacOS/libxo.dylib
       0x10c5b0000 -        0x10c5c4fff +libavmedia.dylib (0) <26066ACA-C1FC-3033-A961-7227DC9F8C41> /Applications/OpenOffice.app/Contents/MacOS/libavmedia.dylib
       0x10c5ea000 -        0x10c60efff +libcanvastools.dylib (0) <6F2C03A0-27C9-3885-813D-7A7A61DA93D7> /Applications/OpenOffice.app/Contents/MacOS/libcanvastools.dylib
       0x10c625000 -        0x10c662ff7 +libcppcanvas.dylib (0) <4526110C-FBD8-3B45-9F69-C581FF6E901C> /Applications/OpenOffice.app/Contents/MacOS/libcppcanvas.dylib
       0x10c683000 -        0x10c693ff7 +libsax.dylib (0) <E150A6E2-FF8D-36BD-8C31-EAC6398A34F8> /Applications/OpenOffice.app/Contents/MacOS/libsax.dylib
       0x10c6a3000 -        0x10c6c4ff7 +libfwi.dylib (0) <02C2CA8D-E15A-30BE-9A6D-7E70D38B5C48> /Applications/OpenOffice.app/Contents/MacOS/libfwi.dylib
       0x10c6e2000 -        0x10c74eff7 +liblng.dylib (0) <90B72A3A-F5A8-3944-B6EF-ED916A3B2E92> /Applications/OpenOffice.app/Contents/MacOS/liblng.dylib
       0x110736000 -        0x11081cfef  unorm8_bgra.dylib (2.4.5) <90797750-141F-3114-ACD0-A71363968678> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageFormats/unorm8_bgra.dylib
       0x111a89000 -        0x111a94fff  com.apple.iokit.IOHIDLib (2.0.0 - 2.0.0) <7A27B325-E6BC-3E64-BD0A-67A2FEE3CA53> /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
       0x111aa4000 -        0x111aaefff +libs5abi_uno.dylib (0) <34FEEBB6-A39F-3380-B0FA-675E6114B0B6> /Applications/OpenOffice.app/Contents/MacOS/libs5abi_uno.dylib
       0x111ad6000 -        0x111b7ffff +bootstrap.uno.dylib (0) <16D34471-6357-39A2-88FF-F60176D49E79> /Applications/OpenOffice.app/Contents/MacOS/bootstrap.uno.dylib
       0x111bce000 -        0x111be5ff7 +libreg.dylib.3 (0) <23DB5E48-36F3-3CD3-956D-09718143E2DC> /Applications/OpenOffice.app/Contents/MacOS/libreg.dylib.3
       0x111bee000 -        0x111bf5ff7 +libxmlreader.dylib (0) <A42932B4-F521-3C7F-8290-A1DC32984570> /Applications/OpenOffice.app/Contents/MacOS/libxmlreader.dylib
       0x111bf9000 -        0x111c0dfff +libstore.dylib.3 (0) <842972CB-2DB0-3970-BE3B-5220B0337ECD> /Applications/OpenOffice.app/Contents/MacOS/libstore.dylib.3
       0x112559000 -        0x11255cff7 +localebe1.uno.dylib (0) <3396D21B-6C94-3DA9-A858-512D16348E86> /Applications/OpenOffice.app/Contents/MacOS/localebe1.uno.dylib
       0x1125b6000 -        0x11261ffff +configmgr.uno.dylib (0) <56D87EF1-01CD-33F6-934E-C47F3072A2A7> /Applications/OpenOffice.app/Contents/MacOS/configmgr.uno.dylib
       0x1126e7000 -        0x1126ffff7 +stocservices.uno.dylib (0) <AC1EE751-41D1-3B0B-B714-92974D33D884> /Applications/OpenOffice.app/Contents/MacOS/stocservices.uno.dylib
       0x112724000 -        0x112728fff +macbe1.uno.dylib (0) <5415C91C-3200-3E48-95B8-EF9969A8DE3F> /Applications/OpenOffice.app/Contents/MacOS/macbe1.uno.dylib
       0x1127fc000 -        0x1127fffff +ucpexpand1.uno.dylib (0) <F038285D-0DBC-3992-B967-F8F683D52575> /Applications/OpenOffice.app/Contents/MacOS/ucpexpand1.uno.dylib
       0x112a34000 -        0x112a5dfff +libspl.dylib (0) <D4272C09-6324-36F2-8F31-11D08F6F9551> /Applications/OpenOffice.app/Contents/MacOS/libspl.dylib
       0x112a77000 -        0x112bc4ff7 +i18npool.uno.dylib (0) <F1447912-9880-3F4F-8251-7B431E7BA159> /Applications/OpenOffice.app/Contents/MacOS/i18npool.uno.dylib
       0x112c34000 -        0x112d61fff +libicui18n.dylib.40.1 (40.1) <19D38230-B253-34A8-8EED-E006C3EE2001> /Applications/OpenOffice.app/Contents/MacOS/libicui18n.dylib.40.1
       0x112ff2000 -        0x11300aff7 +introspection.uno.dylib (0) <6F54A455-4575-3968-8A22-3E0ECA8C49C4> /Applications/OpenOffice.app/Contents/MacOS/introspection.uno.dylib
       0x11302d000 -        0x11306efff +libucpchelp1.dylib (0) <011FED9F-3DA1-3322-AB4B-7AFBD82FA68A> /Applications/OpenOffice.app/Contents/MacOS/libucpchelp1.dylib
       0x1132ba000 -        0x1132f7fff +libucb1.dylib (0) <F4B81D70-65B2-3378-80C1-56D7A08F095A> /Applications/OpenOffice.app/Contents/MacOS/libucb1.dylib
       0x11331b000 -        0x11336ffff +libucpfile1.dylib (0) <38D7FE89-B665-3369-AF65-44B2408052CB> /Applications/OpenOffice.app/Contents/MacOS/libucpfile1.dylib
       0x11341d000 -        0x113455fff +libfilterconfig1.dylib (0) <05B2A2EF-18D7-3972-B152-28B16C65022B> /Applications/OpenOffice.app/Contents/MacOS/libfilterconfig1.dylib
       0x1146fb000 -        0x11475dfff +libpackage2.dylib (0) <441C39D9-C452-3661-A8F5-513A2852C623> /Applications/OpenOffice.app/Contents/MacOS/libpackage2.dylib
       0x114979000 -        0x11497efff +libmcnttype.dylib (0) <3BD0F8D7-D56A-3884-9599-A81BF020AF03> /Applications/OpenOffice.app/Contents/MacOS/libmcnttype.dylib
       0x114bc2000 -        0x114bd4ff7 +liblocaledata_en.dylib (0) <A60E2E94-DFFC-37F9-B9B8-C0890375E2B9> /Applications/OpenOffice.app/Contents/MacOS/liblocaledata_en.dylib
       0x114be2000 -        0x114c1aff7 +libuui.dylib (0) <9B92A06B-814F-3760-9162-03F8E1990CEE> /Applications/OpenOffice.app/Contents/MacOS/libuui.dylib
       0x114c3d000 -        0x114c48fff +libhyphen.uno.dylib (0) <4B6C4605-7B33-35BD-B129-37EFABBB49A5> /Applications/OpenOffice.app/Contents/MacOS/libhyphen.uno.dylib
       0x114c52000 -        0x114c5dff7 +liblnth.uno.dylib (0) <9A45EDAD-85B0-332C-9728-79232741DC25> /Applications/OpenOffice.app/Contents/MacOS/liblnth.uno.dylib
       0x114cc0000 -        0x114d45ff7 +libvbahelper.dylib (0) <86AD5213-43D6-380B-AA8D-3FAC9F081BF3> /Applications/OpenOffice.app/Contents/MacOS/libvbahelper.dylib
       0x114db5000 -        0x114e73ff7 +libmsfilter.dylib (0) <6AF95F9B-285D-3493-9A7A-10281663FEF1> /Applications/OpenOffice.app/Contents/MacOS/libmsfilter.dylib
       0x114eb5000 -        0x114ecdfff +reflection.uno.dylib (0) <0EF00774-19AD-32FF-902C-C5784A9129D0> /Applications/OpenOffice.app/Contents/MacOS/reflection.uno.dylib
       0x114ee4000 -        0x114ef0fff +libfileacc.dylib (0) <5D4DB081-3F75-3B00-956A-CC4C3D5D7375> /Applications/OpenOffice.app/Contents/MacOS/libfileacc.dylib
       0x114efb000 -        0x114f94fff +libxstor.dylib (0) <E3BA75B7-44BC-3468-9518-006D4CECB42B> /Applications/OpenOffice.app/Contents/MacOS/libxstor.dylib
       0x114fbf000 -        0x114ff6fff +sax.uno.dylib (0) <5057688B-401F-34DB-A192-C340A8921FE6> /Applications/OpenOffice.app/Contents/MacOS/sax.uno.dylib
       0x115017000 -        0x115097ff7 +liblocaledata_euro.dylib (0) <FB98250A-E2E2-3445-8E64-BE6A4843D7F2> /Applications/OpenOffice.app/Contents/MacOS/liblocaledata_euro.dylib
       0x115111000 -        0x11512cff7 +fsstorage.uno.dylib (0) <892A9709-6B2A-301C-9F53-C8E465E264B5> /Applications/OpenOffice.app/Contents/MacOS/fsstorage.uno.dylib
       0x115174000 -        0x115199ff7 +libunordf.dylib (0) <D3C0AFE9-EA7E-3974-9460-0BDC06965723> /Applications/OpenOffice.app/Contents/MacOS/libunordf.dylib
       0x1151b5000 -        0x1151dcfff +librdf.0.dylib (1) <DCFC1939-5146-3B31-8399-C209BC4C0530> /Applications/OpenOffice.app/Contents/MacOS/librdf.0.dylib
       0x1151e9000 -        0x115216fff +librasqal.1.dylib (2) <3B3E71E5-9D5F-3724-BE2B-D1ECDCAE928B> /Applications/OpenOffice.app/Contents/MacOS/librasqal.1.dylib
       0x115223000 -        0x115275fff +libraptor.1.dylib (3) <3B34AC71-3FDE-3C51-90F9-F05D6C3B56AD> /Applications/OpenOffice.app/Contents/MacOS/libraptor.1.dylib
       0x1152c4000 -        0x115344ff7 +libunoxml.dylib (0) <1EF8512F-01C8-3AAB-8E80-8BCD6289A821> /Applications/OpenOffice.app/Contents/MacOS/libunoxml.dylib
       0x117423000 -        0x117e57fff +libsw.dylib (0) <93742937-93A7-36A3-848C-A8B871C03449> /Applications/OpenOffice.app/Contents/MacOS/libsw.dylib
       0x1184ea000 -        0x118523ff7 +libxmlsecurity.dylib (0) <9EFA7906-1523-3F47-AAE2-9A5489D64AE7> /Applications/OpenOffice.app/Contents/MacOS/libxmlsecurity.dylib
       0x118e12000 -        0x118e5ffff +libfwl.dylib (0) <52F2A4C6-D95F-3698-A949-AEEA1826FF91> /Applications/OpenOffice.app/Contents/MacOS/libfwl.dylib
       0x118eda000 -        0x118f7aff7 +deployment.uno.dylib (0) <AF4EA73D-E7D1-3AAC-B827-CF61D49956EA> /Applications/OpenOffice.app/Contents/MacOS/deployment.uno.dylib
       0x118fbf000 -        0x118ff6ff7 +libhelplinker.dylib (0) <A2D867D0-5C44-32BB-BC53-BC2EEDC78ECB> /Applications/OpenOffice.app/Contents/MacOS/libhelplinker.dylib
       0x119004000 -        0x11904ffff +libspell.uno.dylib (0) <83F76220-9225-300E-AC39-033E5E7943E4> /Applications/OpenOffice.app/Contents/MacOS/libspell.uno.dylib
       0x119063000 -        0x119069fff +libMacOSXSpell.dylib (0) <87FAC14E-FCB4-3F7B-B3BF-D59FCBB36C82> /Applications/OpenOffice.app/Contents/MacOS/libMacOSXSpell.dylib
       0x1192c9000 -        0x119300ff7 +updchk.uno.dylib (0) <7AE679B9-2FCB-3783-9380-33DED96BF451> /Applications/OpenOffice.app/Contents/MacOS/updchk.uno.dylib
       0x11a857000 -        0x11a961ff7 +libacc.dylib (0) <E3B6854A-381D-3DC5-87E5-D45FFF1248CF> /Applications/OpenOffice.app/Contents/MacOS/libacc.dylib
    0x7fff6be1f000 -     0x7fff6be55837  dyld (353.2.1) <4696A982-1500-34EC-9777-1EF7A03E2659> /usr/lib/dyld
    0x7fff8bf27000 -     0x7fff8bf40ff7  com.apple.CFOpenDirectory (10.10 - 187) <0ECA5D80-A045-3A2C-A60C-E1605F3AB6BD> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8bf50000 -     0x7fff8bf6aff3  com.apple.Ubiquity (1.3 - 313) <DF56A657-CC6E-3BE2-86A0-71F07127724C> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8bf7a000 -     0x7fff8bf7afff  libOpenScriptingUtil.dylib (162) <EFD79173-A9DA-3AE6-BE15-3948938204A6> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff8bfa8000 -     0x7fff8c00fff7  com.apple.framework.CoreWiFi (3.0 - 300.4) <19269C1D-EB29-384A-83F3-7DDDEB7D9DAD> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8c035000 -     0x7fff8c05aff7  libJPEG.dylib (1231) <35F13BD9-AA92-3510-B5BB-420DA15AE7F2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8c05b000 -     0x7fff8c05ffff  libCoreVMClient.dylib (79) <FC4E08E3-749E-32FF-B5E9-211F29864831> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8c060000 -     0x7fff8c06bff7  libkxld.dylib (2782.1.97) <CB1A1B57-54BE-3573-AE0C-B90ED6BAEEE2> /usr/lib/system/libkxld.dylib
    0x7fff8c08b000 -     0x7fff8c08bfff  com.apple.audio.units.AudioUnit (1.12 - 1.12) <76EF1C9D-DEA4-3E55-A134-4099B2FD2CF2> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8c0cb000 -     0x7fff8c18eff7  libvMisc.dylib (512) <A4E39464-52EA-34CB-9FFE-53E79B3C65F5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8c18f000 -     0x7fff8c193fff  com.apple.CommonPanels (1.2.6 - 96) <F9ECC8AF-D9CA-3350-AFB4-5113A9B789A5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff8c194000 -     0x7fff8c1e8fff  libc++.1.dylib (120) <1B9530FD-989B-3174-BB1C-BDC159501710> /usr/lib/libc++.1.dylib
    0x7fff8c23d000 -     0x7fff8c23efff  com.apple.TrustEvaluationAgent (2.0 - 25) <2D61A2C3-C83E-3A3F-8EC1-736DBEC250AB> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff8c23f000 -     0x7fff8c26aff3  libarchive.2.dylib (30) <8CBB4416-EBE9-3574-8ADC-44655D245F39> /usr/lib/libarchive.2.dylib
    0x7fff8c26b000 -     0x7fff8c309fff  com.apple.Metadata (10.7.0 - 916) <DA8A1D18-19FE-37B3-BE12-85C5B0A00736> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8c30a000 -     0x7fff8c5d9ff3  com.apple.CoreImage (10.0.33) <6E3DDA29-718B-3BDB-BFAF-F8C201BF93A4> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8c5da000 -     0x7fff8c620ff7  libauto.dylib (186) <A260789B-D4D8-316A-9490-254767B8A5F1> /usr/lib/libauto.dylib
    0x7fff8c673000 -     0x7fff8cecaff3  com.apple.CoreGraphics (1.600.0 - 772) <6364CBE3-3635-3A53-B448-9D19EF9FEA96> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8d008000 -     0x7fff8d07cff3  com.apple.securityfoundation (6.0 - 55126) <E7FB7A4E-CB0B-37BA-ADD5-373B2A20A783> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8d0ab000 -     0x7fff8d0b3ff7  com.apple.icloud.FindMyDevice (1.0 - 1) <D198E170-3610-3727-BC87-73AD249CA097> /System/Library/PrivateFrameworks/FindMyDevice.framework/Versions/A/FindMyDevice
    0x7fff8d0f5000 -     0x7fff8d135ff7  com.apple.CloudDocs (1.0 - 280.1) <21D7E10A-99EF-34BE-82D7-29A6F1761DE5> /System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fff8d136000 -     0x7fff8d1cbff7  com.apple.ColorSync (4.9.0 - 4.9.0) <F06733BD-A10C-3DB3-B050-825351130392> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8d23e000 -     0x7fff8d264ff7  com.apple.ChunkingLibrary (2.1 - 163.1) <3514F2A4-38BD-3849-9286-B3B991057742> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff8d265000 -     0x7fff8d265ff7  libkeymgr.dylib (28) <77845842-DE70-3CC5-BD01-C3D14227CED5> /usr/lib/system/libkeymgr.dylib
    0x7fff8d294000 -     0x7fff8d2a1ff7  libbz2.1.0.dylib (36) <2DF83FBC-5C08-39E1-94F5-C28653791B5F> /usr/lib/libbz2.1.0.dylib
    0x7fff8d2eb000 -     0x7fff8d318fff  com.apple.CoreVideo (1.8 - 145.1) <18DB07E0-B927-3260-A234-636F298D1917> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8d319000 -     0x7fff8d34cff7  com.apple.MediaKit (16 - 757) <345EDAFE-3E39-3B0F-8D84-54657EC4396D> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8d372000 -     0x7fff8d3fbfff  com.apple.CoreSymbolication (3.1 - 56072) <8CE81C95-49E8-389F-B989-67CC452C08D0> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8d3fc000 -     0x7fff8d53efff  libsqlite3.dylib (168) <7B580EB9-9260-35FE-AE2F-276A2C242BAB> /usr/lib/libsqlite3.dylib
    0x7fff8d53f000 -     0x7fff8d544ff7  libunwind.dylib (35.3) <BE7E51A0-B6EA-3A54-9CCA-9D88F683A6D6> /usr/lib/system/libunwind.dylib
    0x7fff8d545000 -     0x7fff8d975fff  com.apple.vision.FaceCore (3.1.6 - 3.1.6) <C3B823AA-C261-37D3-B4AC-C59CE91C8241> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8d976000 -     0x7fff8da9dfff  com.apple.coreui (2.1 - 305) <BB430677-D1F7-38DD-8F05-70E54352B8B5> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8da9e000 -     0x7fff8dab7fff  com.apple.openscripting (1.4 - 162) <80DFF366-B950-3F79-903F-99DA0FFDB570> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8dab8000 -     0x7fff8dacbff7  com.apple.CoreBluetooth (1.0 - 1) <FA9B43B3-E183-3040-AE25-66EF9870CF35> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff8dbe5000 -     0x7fff8dbeafff  com.apple.DiskArbitration (2.6 - 2.6) <0DFF4D9B-2AC3-3B82-B5C5-30F4EFBD2DB9> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8dbeb000 -     0x7fff8dbf6fff  libGL.dylib (11.0.7) <C53344AD-8CE6-3111-AB94-BD4CA89ED84E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8dcd7000 -     0x7fff8dcf2ff7  libCRFSuite.dylib (34) <D64842BE-7BD4-3D0C-9842-1D202F7C2A51> /usr/lib/libCRFSuite.dylib
    0x7fff8dcf3000 -     0x7fff8dd08ffb  libCGInterfaces.dylib (294.1) <1A6AADE6-09EC-3054-85F9-E6A3607EBA70> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff8dd09000 -     0x7fff8dd9dfff  com.apple.ink.framework (10.9 - 213) <8E029630-1530-3734-A446-13353F0E7AC5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8de36000 -     0x7fff8e164ff7  com.apple.Foundation (6.9 - 1151.16) <18EDD673-A010-3E99-956E-DA594CE1FA80> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8e165000 -     0x7fff8e17fff7  liblzma.5.dylib (7) <1D03E875-A7C0-3028-814C-3C27F7B7C079> /usr/lib/liblzma.5.dylib
    0x7fff8e185000 -     0x7fff8e1b5fff  libsystem_m.dylib (3086.1) <1E12AB45-6D96-36D0-A226-F24D9FB0D9D6> /usr/lib/system/libsystem_m.dylib
    0x7fff8e1bd000 -     0x7fff8e209fff  com.apple.corelocation (1486.17 - 1615.21) <DB68CEB9-0D51-3CB9-86A4-B0400CE6C515> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff8e285000 -     0x7fff8e2a1ff7  libsystem_malloc.dylib (53.1.1) <19BCC257-5717-3502-A71F-95D65AFA861B> /usr/lib/system/libsystem_malloc.dylib
    0x7fff8e2fb000 -     0x7fff8e2fffff  libpam.2.dylib (20) <E805398D-9A92-31F8-8005-8DC188BD8B6E> /usr/lib/libpam.2.dylib
    0x7fff8e300000 -     0x7fff8e382fff  com.apple.PerformanceAnalysis (1.0 - 1) <2FC0F303-B672-3E64-A978-AB78EAD98395> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff8e383000 -     0x7fff8e3a0fff  libsystem_kernel.dylib (2782.1.97) <93E0E0A9-75B6-3904-BB4E-4BC7C05F4B6B> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8e3a1000 -     0x7fff8e3a3ffb  libCGXType.A.dylib (772) <7CB71BC6-D8EC-37BC-8243-41BAB086FAAA> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff8e3a4000 -     0x7fff8e3a6ff7  com.apple.securityhi (9.0 - 55006) <B1E09986-7AF0-3BD1-BAA1-B5514DFB7CD1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8e3a7000 -     0x7fff8e58cff3  libicucore.A.dylib (531.30) <EF0E7544-E317-3550-A962-6AE65E78AF17> /usr/lib/libicucore.A.dylib
    0x7fff8e58d000 -     0x7fff8e58dff7  liblaunch.dylib (559.1.22) <8A988924-8BE7-35FE-BF7D-322E90EFE49E> /usr/lib/system/liblaunch.dylib
    0x7fff8e85e000 -     0x7fff8e878ff7  com.apple.AppleVPAFramework (1.0.30 - 1.0.30) <D47A2125-C72D-3298-B27D-D89EA0D55584> /System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA
    0x7fff8e8a7000 -     0x7fff8e8d1ff7  libdispatch.dylib (442.1.4) <502CF32B-669B-3709-8862-08188225E4F0> /usr/lib/system/libdispatch.dylib
    0x7fff8e8d2000 -     0x7fff8e8ddff7  com.apple.speech.synthesis.framework (5.2.6 - 5.2.6) <9434AA45-B6BD-37F7-A866-172196A7F91B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8e928000 -     0x7fff8e939ff7  libsystem_coretls.dylib (35.1.2) <EBBF7EF6-80D8-3F8F-825C-B412BD6D22C0> /usr/lib/system/libsystem_coretls.dylib
    0x7fff8e93a000 -     0x7fff8e9c6fff  libsystem_c.dylib (1044.1.2) <C185E862-7424-3210-B528-6B822577A4B8> /usr/lib/system/libsystem_c.dylib
    0x7fff8e9d1000 -     0x7fff8ed04fff  libmecabra.dylib (666) <2CE5540A-D412-3D53-9E11-86C24D61713B> /usr/lib/libmecabra.dylib
    0x7fff8ed05000 -     0x7fff8ed05ff7  libunc.dylib (29) <5676F7EA-C1DF-329F-B006-D2C3022B7D70> /usr/lib/system/libunc.dylib
    0x7fff8ed2a000 -     0x7fff8ed49fff  com.apple.CoreDuet (1.0 - 1) <36AA9FD5-2685-314D-B364-3FA4688D86BD> /System/Library/PrivateFrameworks/CoreDuet.framework/Versions/A/CoreDuet
    0x7fff8ed4a000 -     0x7fff8ed52ffb  com.apple.CoreServices.FSEvents (1210 - 1210) <782A9C69-7A45-31A7-8960-D08A36CBD0A7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff8ee86000 -     0x7fff8ef9dfe7  libvDSP.dylib (512) <52777555-F051-3BC2-A2D2-9645907E836D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8f149000 -     0x7fff8f156fff  com.apple.SpeechRecognitionCore (2.0.32 - 2.0.32) <87F0C88D-502D-3217-8B4A-8388288568BA> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff8f1ed000 -     0x7fff8f1f6ff7  libsystem_notify.dylib (133.1.1) <61147800-F320-3DAA-850C-BADF33855F29> /usr/lib/system/libsystem_notify.dylib
    0x7fff8f1f7000 -     0x7fff8f45fffb  com.apple.security (7.0 - 57031.1.35) <96141D1F-614E-32C4-8AC2-F47481F23F43> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8f460000 -     0x7fff8f462fff  com.apple.EFILogin (2.0 - 2) <F0269EE2-3686-3A8A-8B83-F86974E35E90> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8f463000 -     0x7fff8f4d2fff  com.apple.SearchKit (1.4.0 - 1.4.0) <BFD6D876-36BA-3A3B-9F15-3E2F7DE6E89D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8f4d3000 -     0x7fff8f4e3ff7  libbsm.0.dylib (34) <A3A2E56C-2B65-37C7-B43A-A1F926E1A0BB> /usr/lib/libbsm.0.dylib
    0x7fff8f58b000 -     0x7fff8f5a2ff7  libLinearAlgebra.dylib (1128) <E78CCBAA-A999-3B65-8EC9-06DB15E67C37> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff8f5fc000 -     0x7fff8f7e1267  libobjc.A.dylib (646) <3B60CD90-74A2-3A5D-9686-B0772159792A> /usr/lib/libobjc.A.dylib
    0x7fff8f805000 -     0x7fff8f8f7fff  libxml2.2.dylib (26) <B834E7C8-EC3E-3382-BC5A-DA38DC4D720C> /usr/lib/libxml2.2.dylib
    0x7fff8f8f8000 -     0x7fff8f905fff  com.apple.ProtocolBuffer (1 - 225.1) <2D502FBB-D2A0-3937-A5C5-385FA65B3874> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff8f906000 -     0x7fff8f906fff  com.apple.ApplicationServices (48 - 48) <5BF7910B-C328-3BF8-BA4F-CE52B574CE01> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8fcdf000 -     0x7fff90075fff  com.apple.CoreFoundation (6.9 - 1151.16) <F2B088AF-A5C6-3FAE-9EB4-7931AF6359E4> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff900eb000 -     0x7fff90365fff  com.apple.CoreData (110 - 526) <AEEDAF00-D38F-3A15-B3C9-73732940CC55> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff9037f000 -     0x7fff90381ff7  libsystem_sandbox.dylib (358.1.1) <DB9962EF-8898-31CC-9B87-E01F8CE74C9D> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff90382000 -     0x7fff904bffff  com.apple.ImageIO.framework (3.3.0 - 1038) <611BDFBA-4BAA-36A8-B7E0-3830F3375E53> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff904fa000 -     0x7fff9062afff  com.apple.UIFoundation (1.0 - 1) <8E030D93-441C-3997-9CD2-55C8DFAC8B84> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff9062c000 -     0x7fff9062dfff  libsystem_secinit.dylib (18) <581DAD0F-6B63-3A48-B63B-917AF799ABAA> /usr/lib/system/libsystem_secinit.dylib
    0x7fff90639000 -     0x7fff9063aff7  libsystem_blocks.dylib (65) <9615D10A-FCA7-3BE4-AA1A-1B195DACE1A1> /usr/lib/system/libsystem_blocks.dylib
    0x7fff9071d000 -     0x7fff90b70fc7  com.apple.vImage (8.0 - 8.0) <33BE7B31-72DB-3364-B37E-C322A32748C5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff90b71000 -     0x7fff90b74fff  com.apple.IOSurface (97 - 97) <D4B4D2B2-7B16-3174-9EA6-55E0A10B452D> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff90c09000 -     0x7fff90cdfff3  com.apple.DiskImagesFramework (10.10 - 389.1) <7DE2208C-BD55-390A-8167-4F9F11750C4B> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff90ce4000 -     0x7fff91825fff  com.apple.AppKit (6.9 - 1343.14) <1732C412-257B-340E-8863-B8162D4EB2E2> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff91de6000 -     0x7fff91edaff7  libFontParser.dylib (134) <506126F8-FDCE-3DE1-9DCA-E07FE658B597> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff91edb000 -     0x7fff91ee0ff7  libmacho.dylib (862) <126CA2ED-DE91-308F-8881-B9DAEC3C63B6> /usr/lib/system/libmacho.dylib
    0x7fff91ee1000 -     0x7fff91ef2ff7  libz.1.dylib (55) <88C7C7DE-04B8-316F-8B74-ACD9F3DE1AA1> /usr/lib/libz.1.dylib
    0x7fff91ef3000 -     0x7fff91ef5fff  com.apple.OAuth (25 - 25) <EE765AF0-2BB6-3689-9EAA-689BF1F02A0D> /System/Library/PrivateFrameworks/OAuth.framework/Versions/A/OAuth
    0x7fff91ef6000 -     0x7fff91f6cfe7  libcorecrypto.dylib (233.1.2) <E1789801-3985-3949-B736-6B3378873301> /usr/lib/system/libcorecrypto.dylib
    0x7fff91f6d000 -     0x7fff91f6dfff  com.apple.Carbon (154 - 157) <6E3AEB9D-7643-36BE-A7E5-D08886649257> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff91f6e000 -     0x7fff92060ff7  libiconv.2.dylib (42) <2A06D02F-8B76-3864-8D96-64EF5B40BC6C> /usr/lib/libiconv.2.dylib
    0x7fff920ab000 -     0x7fff920afff7  com.apple.TCC (1.0 - 1) <AFC32F8F-BCD5-313C-B66E-5AB8591EC066> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff9210b000 -     0x7fff92158ff3  com.apple.print.framework.PrintCore (10.0 - 451) <3CA58254-D14F-3913-9DFB-CAC499570CC7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff92159000 -     0x7fff9217cfff  com.apple.Sharing (328.3 - 328.3) <FDEE49AD-8804-3760-9C14-8D1D10BBEA37> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff9217d000 -     0x7fff92429fff  com.apple.GeoServices (1.0 - 982.4.10) <8A7FE04A-2785-30E7-A6E2-DC15D170DAF5> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff92506000 -     0x7fff92541fff  com.apple.QD (301 - 301) <C4D2AD03-B839-350A-AAF0-B4A08F8BED77> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff92620000 -     0x7fff92666ffb  libFontRegistry.dylib (134) <01B8034A-45FD-3360-A347-A1896F591363> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff92718000 -     0x7fff9271dffb  libheimdal-asn1.dylib (398.1.2) <F9463B34-AAF5-3488-AD0C-85937C81FC5E> /usr/lib/libheimdal-asn1.dylib
    0x7fff9282d000 -     0x7fff92a30ff3  com.apple.CFNetwork (720.0.9 - 720.0.9) <78EE1B88-394F-3BB8-93A6-E068990559EC> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff92a31000 -     0x7fff92a39ffb  libcopyfile.dylib (118.1.2) <0C68D3A6-ACDD-3EF3-991A-CC82C32AB836> /usr/lib/system/libcopyfile.dylib
    0x7fff92a3a000 -     0x7fff92a72fff  com.apple.RemoteViewServices (2.0 - 99) <C9A62691-B0D9-34B7-B71C-A48B5F4DC553> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff92a73000 -     0x7fff92a74ff7  com.apple.print.framework.Print (10.0 - 265) <3BC4FE7F-78A0-3E57-8F4C-520E7EFD36FA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff92a98000 -     0x7fff92aaaff7  com.apple.CoreDuetDaemonProtocol (1.0 - 1) <CE9FABB4-1C5D-3F9B-9BB8-5CC50C3E5E31> /System/Library/PrivateFrameworks/CoreDuetDaemonProtocol.framework/Versions/A/CoreDuetDaemonProtocol
    0x7fff92aab000 -     0x7fff92ab3fff  libsystem_dnssd.dylib (561.1.1) <62B70ECA-E40D-3C63-896E-7F00EC386DDB> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff92ab4000 -     0x7fff92afdff3  com.apple.HIServices (1.22 - 519) <59D78E07-C3F1-3272-88F1-876B836D5517> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff92b0b000 -     0x7fff92df2ffb  com.apple.CoreServices.CarbonCore (1108.1 - 1108.1) <55A16172-ACC0-38B7-8409-3CB92AF33973> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff92df3000 -     0x7fff92dfcfff  libGFXShared.dylib (11.0.7) <EC449E3A-D9D2-3494-8B6C-DEB7B11EEDAB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff9335c000 -     0x7fff9337dfff  com.apple.framework.Apple80211 (10.0 - 1000.57.3) <F64EB1A1-57F3-3ABA-97D0-DB7C926FD07F> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff9337e000 -     0x7fff933aeffb  com.apple.GSS (4.0 - 2.0) <D033E7F1-2D34-339F-A814-C67E009DE5A9> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff93c9c000 -     0x7fff93d57ff7  com.apple.DiscRecording (9.0 - 9000.4.1) <F70E600E-9668-3DF2-A3A8-61813DF9E2EE> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff93d58000 -     0x7fff93d5bfff  com.apple.xpc.ServiceManagement (1.0 - 1) <7E9E6BB7-AEE7-3F59-BAC0-59EAF105D0C8> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff94158000 -     0x7fff94173ff7  com.apple.aps.framework (4.0 - 4.0) <9955CAFD-D56B-36E9-BB41-6F7F73317EB5> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fff94179000 -     0x7fff941b0ffb  com.apple.LDAPFramework (2.4.28 - 194.5) <4CFE8010-CE3F-35EC-90BA-529B74321029> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff953c0000 -     0x7fff953cbff7  libcsfde.dylib (471) <797691FA-FC0A-3A95-B6E8-BDB75AEAEDFD> /usr/lib/libcsfde.dylib
    0x7fff9541a000 -     0x7fff9542cfff  libsasl2.2.dylib (193) <E523DD05-544B-3430-8AA9-672408A5AF8B> /usr/lib/libsasl2.2.dylib
    0x7fff9542d000 -     0x7fff9583aff7  libLAPACK.dylib (1128) <F9201AE7-B031-36DB-BCF8-971E994EF7C1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff9583b000 -     0x7fff95844ff3  com.apple.CommonAuth (4.0 - 2.0) <F4C266BE-2E0E-36B4-9DE7-C6B4BF410FD7> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff95845000 -     0x7fff9584cff7  libcompiler_rt.dylib (35) <BF8FC133-EE10-3DA6-9B90-92039E28678F> /usr/lib/system/libcompiler_rt.dylib
    0x7fff9595b000 -     0x7fff959b5ff7  com.apple.LanguageModeling (1.0 - 1) <ACA93FE0-A0E3-333E-AE3C-8EB7DE5F362F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff959cf000 -     0x7fff95a6edf7  com.apple.AppleJPEG (1.0 - 1) <9BB3D7DF-630A-3E1C-A124-12D6C4D0DE70> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff95a6f000 -     0x7fff95a8ffff  com.apple.IconServices (47.1 - 47.1) <E83DFE3B-6541-3736-96BB-26DC5D0100F1> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff95a90000 -     0x7fff95a94fff  libsystem_stats.dylib (163.1.4) <1DB04436-5974-3F16-86CC-5FF5F390339C> /usr/lib/system/libsystem_stats.dylib
    0x7fff95b7c000 -     0x7fff95b7dffb  libremovefile.dylib (35) <3485B5F4-6CE8-3C62-8DFD-8736ED6E8531> /usr/lib/system/libremovefile.dylib
    0x7fff95b7e000 -     0x7fff95b8aff7  com.apple.OpenDirectory (10.10 - 187) <1D0066FC-1DEB-381B-B15C-4C009E0DF850> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff95b8b000 -     0x7fff95bd9fff  libcurl.4.dylib (83.1.2) <337A1FF8-E8B1-3173-9F29-C0D4C851D8E1> /usr/lib/libcurl.4.dylib
    0x7fff95bda000 -     0x7fff95bdeff7  libGIF.dylib (1231) <A349BA73-301E-3EDE-8A31-8ACE827C289E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff95bdf000 -     0x7fff95c2bff7  libcups.2.dylib (408) <9CECCDE3-51D7-3028-830C-F58BD36E3317> /usr/lib/libcups.2.dylib
    0x7fff95c2c000 -     0x7fff95c2efff  libCVMSPluginSupport.dylib (11.0.7) <29D775BB-A11D-3140-A478-2A0DA1A87420> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff95c2f000 -     0x7fff95c37ff7  com.apple.AppleSRP (5.0 - 1) <01EC5144-D09A-3D6A-AE35-F6D48585F154> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff95c43000 -     0x7fff95c60ffb  libresolv.9.dylib (57) <26B38E61-298A-3C3A-82C1-3B5E98AD5E29> /usr/lib/libresolv.9.dylib
    0x7fff95c61000 -     0x7fff95c9bffb  com.apple.DebugSymbols (115 - 115) <6F03761D-7C3A-3C80-8031-AA1C1AD7C706> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff95c9c000 -     0x7fff95d3efff  com.apple.Bluetooth (4.3.0 - 4.3.0f10) <70922125-2A01-37AE-9CB8-D8A9578092E4> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff95d3f000 -     0x7fff95d67ffb  libRIP.A.dylib (772) <9262437A-710A-397D-8E34-1CBFEA1FC5E1> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff95d68000 -     0x7fff95df9fff  com.apple.cloudkit.CloudKit (259.2.3 - 259.2.3) <6F955140-D522-32B3-B34B-BD94C5D94E7A> /System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fff95dfa000 -     0x7fff95dfcff7  libutil.dylib (38) <471AD65E-B86E-3C4A-8ABD-B8665A2BCE3F> /usr/lib/libutil.dylib
    0x7fff960cb000 -     0x7fff9613cff7  com.apple.framework.IOKit (2.0.2 - 1050.1.21) <ED3B0B22-AACC-303B-BFC8-20ECD1AF6BA2> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff96285000 -     0x7fff962c5ff7  libGLImage.dylib (11.0.7) <7CBCEB4B-D22F-3116-8B28-D1C22D28C69D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff962c6000 -     0x7fff962d4ff7  com.apple.opengl (11.0.7 - 11.0.7) <B5C4DF85-37BD-3984-98D1-90A5043DA984> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff962d5000 -     0x7fff96349fff  com.apple.ApplicationServices.ATS (360 - 375) <62828B40-231D-3F81-8067-1903143DCB6B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff96357000 -     0x7fff96357fff  com.apple.Accelerate (1.10 - Accelerate 1.10) <227E2491-1DDB-336F-BF83-773CECEC66F1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff96450000 -     0x7fff964cdfff  com.apple.CoreServices.OSServices (640.3 - 640.3) <28445162-08E9-3E24-84E4-617CE5FE1367> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff964ce000 -     0x7fff9658dfff  com.apple.backup.framework (1.6 - 1.6) <5C38C168-5E9B-335D-9570-91AF8604BB10> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff96f56000 -     0x7fff96f81fff  com.apple.DictionaryServices (1.2 - 229) <6789EC43-CADA-394D-8FE8-FC3A2DD136B9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff96f82000 -     0x7fff97132ff7  com.apple.QuartzCore (1.10 - 361.11) <7382E4A9-10B0-3877-B9D7-FA84DC71BA55> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff97133000 -     0x7fff971a1ffb  com.apple.Heimdal (4.0 - 2.0) <B852ACA1-4C64-3E2A-A9D3-6D4C80AD9429> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff971a2000 -     0x7fff971a9fff  libCGCMS.A.dylib (772) <E64DC779-A6CF-3B1F-8E57-C09C0B10670F> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGCMS.A.dylib
    0x7fff971f8000 -     0x7fff97212ff7  com.apple.Kerberos (3.0 - 1) <7760E0C2-A222-3709-B2A6-B692D900CEB1> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff972ce000 -     0x7fff972cffff  liblangid.dylib (117) <B54A4AA0-2E53-3671-90F5-AFF711C0EB9E> /usr/lib/liblangid.dylib
    0x7fff9735b000 -     0x7fff973acff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <AF72B06E-C6C1-3FAE-8B47-AF461CAE0E22> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff973ad000 -     0x7fff973d6ffb  libxslt.1.dylib (13) <AED1143F-B848-3E73-81ED-71356F25F084> /usr/lib/libxslt.1.dylib
    0x7fff97424000 -     0x7fff97436ff7  com.apple.ImageCapture (9.0 - 9.0) <7FB65DD4-56B5-35C4-862C-7A2DED991D1F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff97482000 -     0x7fff976fcff3  com.apple.RawCamera.bundle (6.00 - 761) <056E2E1D-6682-354E-9666-7E4935653D47> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff97753000 -     0x7fff97753fff  com.apple.Cocoa (6.8 - 21) <EAC0EA1E-3C62-3B28-A941-5D8B1E085FF8> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff97855000 -     0x7fff97869ff7  com.apple.ProtectedCloudStorage (1.0 - 1) <52CFE68A-0663-3756-AB5B-B42195026052> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff9786a000 -     0x7fff978d1ff7  com.apple.datadetectorscore (6.0 - 396.1) <5D348063-1528-3E2F-B587-9E82970506F9> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff978d2000 -     0x7fff97a60fff  libBLAS.dylib (1128) <497912C1-A98E-3281-BED7-E9C751552F61> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff97a61000 -     0x7fff97a6bff7  com.apple.CrashReporterSupport (10.10 - 629) <EC97EA5E-3190-3717-A4A9-2F35A447E7A6> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff97a6c000 -     0x7fff97a79ff7  libxar.1.dylib (254) <CE10EFED-3066-3749-838A-6A15AC0DBCB6> /usr/lib/libxar.1.dylib
    0x7fff97a7a000 -     0x7fff97a7afff  com.apple.CoreServices (62 - 62) <9E4577CA-3FC3-300D-AB00-87ADBDDA2E37> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff97a7b000 -     0x7fff97a7dfff  libRadiance.dylib (1231) <746E9989-E89C-3027-A418-5F99CE131C93> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff97ad1000 -     0x7fff97aedfff  com.apple.GenerationalStorage (2.0 - 209.11) <9FF8DD11-25FB-3047-A5BF-9415339B3EEC> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff97aee000 -     0x7fff97afffff  libcmph.dylib (1) <46EC3997-DB5E-38AE-BBBB-A035A54AD3C0> /usr/lib/libcmph.dylib
    0x7fff97b00000 -     0x7fff97b25ff7  libPng.dylib (1231) <2D5AC0EE-4056-3F76-97E7-BBD415F072B5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff97cbe000 -     0x7fff97cc0fff  com.apple.loginsupport (1.0 - 1) <35A2A071-606C-39A5-8C11-E4CAF98D934C> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff97cdb000 -     0x7fff97d16fff  com.apple.Symbolication (1.4 - 56045) <D64571B1-4483-3FE2-BD67-A91360F79727> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff97efd000 -     0x7fff97f08fff  libcommonCrypto.dylib (60061) <D381EBC6-69D8-31D3-8084-5A80A32CB748> /usr/lib/system/libcommonCrypto.dylib
    0x7fff97f43000 -     0x7fff97f46ff7  libdyld.dylib (353.2.1) <19FAF435-C165-3374-9DEF-D7BBA7D61DB6> /usr/lib/system/libdyld.dylib
    0x7fff97f47000 -     0x7fff97f6ffff  libxpc.dylib (559.1.22) <9437C02E-A07B-38C8-91CB-299FAA63083D> /usr/lib/system/libxpc.dylib
    0x7fff98043000 -     0x7fff9804afff  com.apple.NetFS (6.0 - 4.0) <1581D25F-CC07-39B0-90E8-5D4F3CF84EBA> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff986b9000 -     0x7fff986b9fff  com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <A48738CA-5B6F-3D14-97E9-2BFDFC3DCC06> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff986ba000 -     0x7fff986d0ff7  libsystem_asl.dylib (267) <F153AC5B-0542-356E-88C8-20A62CA704E2> /usr/lib/system/libsystem_asl.dylib
    0x7fff9888b000 -     0x7fff9888dff7  libquarantine.dylib (76) <DC041627-2D92-361C-BABF-A869A5C72293> /usr/lib/system/libquarantine.dylib
    0x7fff991c5000 -     0x7fff991cfff7  com.apple.NetAuth (5.0 - 5.0) <B9EC5425-D38D-308C-865F-207E0A98BAC7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff991dd000 -     0x7fff99249fff  com.apple.framework.CoreWLAN (5.0 - 500.35.2) <ACBAAB0A-BCC7-37CF-AAFB-2DA1733F2682> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff9924a000 -     0x7fff9928bfff  libGLU.dylib (11.0.7) <8037342E-1ECD-385F-B4C3-545CE97B76AE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff992e8000 -     0x7fff992e9fff  libDiagnosticMessagesClient.dylib (100) <2EE8E436-5CDC-34C5-9959-5BA218D507FB> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff99332000 -     0x7fff99425ff7  libJP2.dylib (1231) <58849E48-9CD2-38A1-9D48-FCE630F473EB> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff99426000 -     0x7fff9942cfff  com.apple.speech.recognition.framework (5.0.9 - 5.0.9) <BB2D573F-0A01-379F-A2BA-3C454EDCB111> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff9942d000 -     0x7fff99447ff7  libextension.dylib (55) <17514AB2-C503-3D49-A725-EBC1140567A6> /usr/lib/libextension.dylib
    0x7fff9944a000 -     0x7fff99499ff7  libstdc++.6.dylib (104.1) <803F6AC8-87DC-3E24-9E80-729B551F6FFF> /usr/lib/libstdc++.6.dylib
    0x7fff994b3000 -     0x7fff995cbffb  com.apple.CoreText (352.0 - 454.1) <AB07DF12-BB1F-3275-A8A3-45F14BF872BF> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff995e2000 -     0x7fff9963dfff  libTIFF.dylib (1231) <ACC9ED11-EED8-3A23-B452-3F40FF7EF435> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff9963e000 -     0x7fff99644fff  libsystem_trace.dylib (72.1.3) <A9E6B7D8-C327-3742-AC54-86C94218B1DF> /usr/lib/system/libsystem_trace.dylib
    0x7fff996dc000 -     0x7fff996defff  libsystem_configuration.dylib (699.1.5) <9FBA1CE4-97D0-347E-A443-93ED94512E92> /usr/lib/system/libsystem_configuration.dylib
    0x7fff9994a000 -     0x7fff99952fe7  libcldcpuengine.dylib (2.4.5) <DF810F9A-1755-3283-82C3-D8192BCD8016> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
    0x7fff99cb4000 -     0x7fff99cbdfff  libsystem_pthread.dylib (105.1.4) <26B1897F-0CD3-30F3-B55A-37CB45062D73> /usr/lib/system/libsystem_pthread.dylib
    0x7fff99cc6000 -     0x7fff99cfeffb  libsystem_network.dylib (411) <C0B2313D-47BE-38A9-BEE6-2634A4F5E14B> /usr/lib/system/libsystem_network.dylib
    0x7fff99cff000 -     0x7fff99d01ff7  libsystem_coreservices.dylib (9) <41B7C578-5A53-31C8-A96F-C73E030B0938> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff99d0e000 -     0x7fff99e2ffff  com.apple.LaunchServices (644.10 - 644.10) <0B1C68BC-0AEB-38E2-ABC8-E92728FEC475> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff99e30000 -     0x7fff99e5bfff  libc++abi.dylib (125) <88A22A0F-87C6-3002-BFBA-AC0F2808B8B9> /usr/lib/libc++abi.dylib
    0x7fff99eab000 -     0x7fff99ed8fff  com.apple.Accounts (113 - 113) <3145FCC2-D297-3DD1-B74B-9E7DBB0EE33C> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fff99ed9000 -     0x7fff99fe8ffb  com.apple.desktopservices (1.9 - 1.9) <6EDAC73F-C42C-3FF7-B67D-FCCA1CFC5405> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff99fe9000 -     0x7fff99ff1fff  libsystem_platform.dylib (63) <64E34079-D712-3D66-9CE2-418624A5C040> /usr/lib/system/libsystem_platform.dylib
    0x7fff9a065000 -     0x7fff9a1d0ff7  com.apple.audio.toolbox.AudioToolbox (1.12 - 1.12) <5C6DBEB4-F2EA-3262-B9FC-AFB89404C1DA> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff9a54f000 -     0x7fff9a550fff  libSystem.B.dylib (1213) <DA954461-EC6A-3DF0-8551-6FC810627627> /usr/lib/libSystem.B.dylib
    0x7fff9a551000 -     0x7fff9a557ff7  libsystem_networkextension.dylib (167.1.10) <29AB225B-D7FB-30ED-9600-65D44B9A9442> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff9a5c3000 -     0x7fff9a5c6fff  com.apple.help (1.3.3 - 46) <CA4541F4-CEF5-355C-8F1F-EA65DC1B400F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff9ab01000 -     0x7fff9ab2ffff  com.apple.CoreServicesInternal (221.1 - 221.1) <51BAE6D2-84F3-392A-BFEC-A3B47B80A3D2> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff9ab5f000 -     0x7fff9ab91ff3  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <C6DB0A07-F8E4-3837-BCA9-225F460EDA81> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fff9ac3c000 -     0x7fff9ac64fff  libsystem_info.dylib (459) <B85A85D5-8530-3A93-B0C3-4DEC41F79478> /usr/lib/system/libsystem_info.dylib
    0x7fff9acac000 -     0x7fff9acfbff7  com.apple.opencl (2.4.2 - 2.4.2) <6AE26E08-6EFC-3E1B-B202-EFA9C3E5B9D4> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff9ad07000 -     0x7fff9adeafff  libcrypto.0.9.8.dylib (52) <7208EEE2-C090-383E-AADD-7E1BD1321BEC> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff9adee000 -     0x7fff9adfdfff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <D1E527E4-C561-352F-9457-E8C50232793C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff9adfe000 -     0x7fff9ae12ff7  com.apple.MultitouchSupport.framework (260.30 - 260.30) <28728A7D-E048-3B14-9932-839A87D381FE> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff9ae94000 -     0x7fff9b196fff  com.apple.HIToolbox (2.1.1 - 756) <9DD121B5-B7EB-3C43-8155-61A4417F8E9A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff9b4fb000 -     0x7fff9b4fffff  libcache.dylib (69) <45E9A2E7-99C4-36B2-BEE3-0C4E11614AD1> /usr/lib/system/libcache.dylib
    0x7fff9b56f000 -     0x7fff9b5ceff3  com.apple.AE (681 - 681) <7F544183-A515-31A8-B45F-89A167F56216> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff9b5cf000 -     0x7fff9b5d1fff  com.apple.CoreDuetDebugLogging (1.0 - 1) <9A6E5710-EA99-366E-BF40-9A65EC1B46A1> /System/Library/PrivateFrameworks/CoreDuetDebugLogging.framework/Versions/A/CoreDuetDebugLogging
    0x7fff9b5d2000 -     0x7fff9b663ff7  libCoreStorage.dylib (471) <5CA37ED3-320C-3469-B4D2-6F045AFE03A1> /usr/lib/libCoreStorage.dylib
    0x7fff9b6ca000 -     0x7fff9b742ff7  com.apple.SystemConfiguration (1.14 - 1.14) <C269BCFD-ACAB-3331-BC7C-0430F0E84817> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 3
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 32885
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=297.9M resident=372.8M(125%) swapped_out_or_unallocated=16777216.0T(5905508204544%)
Writable regions: Total=383.3M written=68.4M(18%) resident=92.1M(24%) swapped_out=0K(0%) unallocated=291.2M(76%)
 
REGION TYPE                      VIRTUAL
===========                      =======
ATS (font support)                 32.1M
ATS (font support) (reserved)         4K        reserved VM address space (unallocated)
CG backing stores                  9308K
CG image                             12K
CG shared images                    528K
CoreImage                             8K
CoreServices                        776K
CoreUI image data                   160K
IOKit                                24K
Image IO                             64K
Kernel Alloc Once                     8K
MALLOC                            297.1M
MALLOC (admin)                       32K
Memory Tag 242                       12K
Memory Tag 251                        8K
OpenCL                               16K
STACK GUARD                        56.0M
Stack                              12.1M
VM_ALLOCATE                        27.5M
__DATA                             20.9M
__IMAGE                             528K
__LINKEDIT                        103.2M
__TEXT                            194.7M
__UNICODE                           544K
mapped file                        87.8M
shared memory                         4K
===========                      =======
TOTAL                             843.2M
TOTAL, minus reserved VM space    843.2M
Comment 48 Simon Theis 2014-11-04 20:22:00 UTC
Created attachment 84166 [details]
Error Log for clicking multiple times on grey background

I just noted that i can also reproduce the error simply by clicking on the grey background outside of the white document area. This is the error log for this.